{% extends 'base.html' %}

{% block content %}
<br/>
{% with messages = get_flashed_messages(with_categories=True) %}
    {% if messages %}
        {% for cat, msg in messages %}

            <div class="container">
                <div class="alert alert-warning alert-dismissible fade show" role="alert">
                  <strong>{{ cat.capitalize() }}: </strong> {{ msg }}
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
            </div>
        {% endfor %}
    {% endif %}
{% endwith %}
<br/>

{% if records %}

<br/>
<div class="container">
    <table class="table table-striped">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Service Name</th>
            <th scope="col">Description</th>
            <th scope="col">Update</th>
            <th scope="col">Delete</th>
<!--            <th scope="col">User Filled</th>-->
<!--            <th scope="col">User Form URL</th>-->
<!--            <th scope="col">Edit</th>-->
        </tr>
        </thead>
        <tbody>
        {% for e in records %}
        <tr>
            <th scope="row">{{loop.index}}</th>
            <td><a href="{{ url_for('views.view_service', serv=e.NAME) }}">{{e.NAME}}</a></td>
            <td>{{e.DESC}}</td>
            <td>
                <form method="POST" action="{{ url_for('views.update_page') }}">
                        <button class="btn btn-warning my-2 my-sm-0" type="submit" name="Edit" value="{{ e.NAME }}">Update</button>
                </form>
            </td>
            <td>
                <form method="POST" action="{{ url_for('views.del_emp') }}">
                        <button class="btn btn-danger my-2 my-sm-0" type="submit" name="Delete" value="{{ e.NAME }}">Delete</button>
                </form>
            </td>

        </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
<br/>

{% endif %}
{% endblock %}